(function(){// Sandstorm - Personal Cloud Sandbox
// Copyright (c) 2015 Sandstorm Development Group, Inc. and contributors
// All rights reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// This file imports symbols from the sandstorm-db package. New code should use SandstormDb
// directly.

// TODO(cleanup): Over time, eliminate the use of each of these assignments by using SandstormDb
//   directly. For collections, prefer to update SandstormDb to provide methods for querying the
//   collection rather than use `SandstormDb.collections` directly.

Packages = SandstormDb.collections.packages;
DevApps = SandstormDb.collections.devApps;
UserActions = SandstormDb.collections.userActions;
Grains = SandstormDb.collections.grains;
Contacts = SandstormDb.collections.contacts;
Sessions = SandstormDb.collections.sessions;
SignupKeys = SandstormDb.collections.signupKeys;
ActivityStats = SandstormDb.collections.activityStats;
DeleteStats = SandstormDb.collections.deleteStats;
FileTokens = SandstormDb.collections.fileTokens;
ApiTokens = SandstormDb.collections.apiTokens;
Notifications = SandstormDb.collections.notifications;
StatsTokens = SandstormDb.collections.statsTokens;
Misc = SandstormDb.collections.misc;
Settings = SandstormDb.collections.settings;

isDemoUser = SandstormDb.isDemoUser;
isSignedUp = SandstormDb.isSignedUp;
isSignedUpOrDemo = SandstormDb.isSignedUpOrDemo;
isUserOverQuota = SandstormDb.isUserOverQuota;
isUserExcessivelyOverQuota = SandstormDb.isUserExcessivelyOverQuota;
isAdmin = SandstormDb.isAdmin;
isAdminById = SandstormDb.isAdminById;
findAdminUserForToken = SandstormDb.findAdminUserForToken;
matchWildcardHost = SandstormDb.matchWildcardHost;
makeWildcardHost = SandstormDb.makeWildcardHost;
allowDevAccounts = SandstormDb.allowDevAccounts;
roleAssignmentPattern = SandstormDb.roleAssignmentPattern;

if (Meteor.isServer) {
  getWildcardOrigin = SandstormDb.getWildcardOrigin;
}

})();
